Skip to main content
GET
/
api
/
categorias
List Categories
curl --request GET \
  --url https://api.example.com/api/categorias
{
  "200": {},
  "categories": [
    {
      "categoria_id": 123,
      "nombre": "<string>",
      "slug": "<string>",
      "productos": [
        {
          "producto_id": 123,
          "nombre": "<string>"
        }
      ]
    }
  ]
}

Authentication

This endpoint does not require authentication.

Response

Returns an array of category objects.
categories
array

Response Example

[
  {
    "categoria_id": 1,
    "nombre": "Electronics",
    "slug": "electronics",
    "productos": [
      {
        "producto_id": 101,
        "nombre": "Laptop"
      },
      {
        "producto_id": 102,
        "nombre": "Smartphone"
      }
    ]
  },
  {
    "categoria_id": 2,
    "nombre": "Furniture",
    "slug": "furniture",
    "productos": []
  }
]

Request Example

curl -X GET https://api.iquea.com/api/categorias

Status Codes

200
OK
Successfully retrieved the list of categories